Mission = {
};


function Mission:OnInit()
	-- you may want to load a string-table etc. here...
end

function Mission:OnUpdate()
	local i;
	local bFinished=1;
	for i,objective in Mission do
		if (type(objective)~="function") then
			if (objective==0) then 
				bFinished=0;				
			else
			end
		end	
	end
	if (bFinished==1) then	
		self.Finish();
	end
end


function Mission:Finish()
	-- go to next mission...
end

function Mission:Event_MissionFinished()
	_localplayer.cnt:SavePlayerElements();
	Game:SendMessage('StartLevelFade matchstick');
end

function Mission:Event_Start()
	Hud:AddMessage(Localize(">M1543L<"),9);
end

function Mission:Event_Bridge()
	Hud:AddMessage(Localize("NewObjective"),9);

	Hud:PushObjective({},Localize("Across the River and Try to Find Something Useful"))
	Hud:SetRadarObjective("bridge");	
end

function Mission:Event_Jungle()
	Hud:AddMessage(Localize("NewObjective"),9);

        Hud:CompleteObjective(Localize("Across the River and Try to Find Something Useful"))

	Hud:PushObjective({},Localize("You Better Get Out of Here"))
	Hud:SetRadarObjective("tunnel");	
end